Changes for OURPATHS.C by Andreas Scherer, April 4, 1995.

@x l.3
#include "config.h"

#include <kpathsea/filefmt.h>
@y
#include "andyconfig.h"

#include <kpathsea/andyfilefmt.h>
@z

There are several more search paths for the runtime memory configurations.

@x l.21
setpaths (path_bits)
    int path_bits;
{
  if (path_bits & BIBINPUTPATHBIT)
    path_dirs[BIBINPUTPATH] = KPSE_BIB_PATH ();

  if (path_bits & BSTINPUTPATHBIT)
    path_dirs[BSTINPUTPATH] = KPSE_BST_PATH ();

  if (path_bits & GFFILEPATHBIT)
    path_dirs[GFFILEPATH] = KPSE_GF_PATH ();

  if (path_bits & MFBASEPATHBIT)
    path_dirs[MFBASEPATH] = KPSE_BASE_PATH ();

  if (path_bits & MFINPUTPATHBIT)
    path_dirs[MFINPUTPATH] = KPSE_MF_PATH ();

  if (path_bits & MFPOOLPATHBIT)
    path_dirs[MFPOOLPATH] = KPSE_MFPOOL_PATH ();

  if (path_bits & PKFILEPATHBIT)
    path_dirs[PKFILEPATH] = KPSE_PK_PATH ();

  if (path_bits & TEXFORMATPATHBIT)
    path_dirs[TEXFORMATPATH] = KPSE_FMT_PATH ();

  if (path_bits & TEXINPUTPATHBIT)
    path_dirs[TEXINPUTPATH] = KPSE_TEX_PATH ();

  if (path_bits & TEXPOOLPATHBIT)
    path_dirs[TEXPOOLPATH] = KPSE_TEXPOOL_PATH ();

  if (path_bits & TFMFILEPATHBIT)
    path_dirs[TFMFILEPATH] = KPSE_TFM_PATH ();

  if (path_bits & VFFILEPATHBIT)
    path_dirs[VFFILEPATH] = KPSE_VF_PATH ();
}
@y
setpaths (
    int path_bits)
{
  if (path_bits & BIBINPUTPATHBIT)
    path_dirs[BIBINPUTPATH] = KPSE_BIB_PATH ();

  if (path_bits & BIBTEXCONFIGPATHBIT)
    path_dirs[BIBTEXCONFIGPATH] = KPSE_BIBTEXCONFIG_PATH ();

  if (path_bits & BSTINPUTPATHBIT)
    path_dirs[BSTINPUTPATH] = KPSE_BST_PATH ();

  if (path_bits & GFFILEPATHBIT)
    path_dirs[GFFILEPATH] = KPSE_GF_PATH ();

  if (path_bits & MFBASEPATHBIT)
    path_dirs[MFBASEPATH] = KPSE_BASE_PATH ();

  if (path_bits & MFINPUTPATHBIT)
    path_dirs[MFINPUTPATH] = KPSE_MF_PATH ();

  if (path_bits & MFPOOLPATHBIT)
    path_dirs[MFPOOLPATH] = KPSE_MFPOOL_PATH ();

  if (path_bits & MFCONFIGPATHBIT)
    path_dirs[MFCONFIGPATH] = KPSE_MFCONFIG_PATH ();

  if (path_bits & MPCONFIGPATHBIT)
    path_dirs[MPCONFIGPATH] = KPSE_MPCONFIG_PATH ();

  if (path_bits & MPINPUTPATHBIT)
    path_dirs[MPINPUTPATH] = KPSE_MP_PATH ();

  if (path_bits & MPMEMPATHBIT)
    path_dirs[MPMEMPATH] = KPSE_MEM_PATH ();

  if (path_bits & MPPOOLPATHBIT)
    path_dirs[MPPOOLPATH] = KPSE_MPPOOL_PATH ();

  if (path_bits & PKFILEPATHBIT)
    path_dirs[PKFILEPATH] = KPSE_PK_PATH ();

  if (path_bits & TEXCONFIGPATHBIT)
    path_dirs[TEXCONFIGPATH] = KPSE_TEXCONFIG_PATH ();

  if (path_bits & TEXFORMATPATHBIT)
    path_dirs[TEXFORMATPATH] = KPSE_FMT_PATH ();

  if (path_bits & TEXINPUTPATHBIT)
    path_dirs[TEXINPUTPATH] = KPSE_TEX_PATH ();

  if (path_bits & TEXPOOLPATHBIT)
    path_dirs[TEXPOOLPATH] = KPSE_TEXPOOL_PATH ();

  if (path_bits & TFMFILEPATHBIT)
    path_dirs[TFMFILEPATH] = KPSE_TFM_PATH ();

  if (path_bits & VFFILEPATHBIT)
    path_dirs[VFFILEPATH] = KPSE_VF_PATH ();
}
@z

@x l.70
testreadaccess (name, path_index)
    string name;
    int path_index;
@y
testreadaccess (
    string name,
    int path_index)
@z
